@file:Suppress("UNCHECKED_CAST", "USELESS_CAST", "INAPPLICABLE_JVM_NAME", "UNUSED_ANONYMOUS_PARAMETER", "SENSELESS_COMPARISON", "NAME_SHADOWING", "UNNECESSARY_NOT_NULL_ASSERTION")
package uni.UNIHelloUniAppX
import io.dcloud.uniapp.*
import io.dcloud.uniapp.extapi.*
import io.dcloud.uniapp.framework.*
import io.dcloud.uniapp.runtime.*
import io.dcloud.uniapp.vue.*
import io.dcloud.uniapp.vue.shared.*
import io.dcloud.unicloud.*
import io.dcloud.uts.*
import io.dcloud.uts.Map
import io.dcloud.uts.Set
import io.dcloud.uts.UTSAndroid
import kotlin.properties.Delegates
open class GenPagesUniUiBadgeViewBadgeView : BasePage {
    constructor(__ins: ComponentInternalInstance, __renderer: String?) : super(__ins, __renderer) {
        onLoad(fun(_: OnLoadOptions) {
            stat_instance.onLoad(this)
        }
        , __ins)
        onPageShow(fun() {
            stat_instance.onShow(this)
        }
        , __ins)
        onPageHide(fun() {
            stat_instance.onHide(this)
        }
        , __ins)
        onUnload(fun() {
            stat_instance.onUnload(this)
        }
        , __ins)
    }
    open var data: Data__11
        get() {
            return unref(this.`$exposed`["data"]) as Data__11
        }
        set(value) {
            setRefValue(this.`$exposed`, "data", value)
        }
    companion object {
        @Suppress("UNUSED_PARAMETER", "UNUSED_VARIABLE")
        var setup: (__props: GenPagesUniUiBadgeViewBadgeView, __setupCtx: SetupContext) -> Any? = fun(__props, __setupCtx): Any? {
            val __expose = __setupCtx.expose
            val __ins = getCurrentInstance()!!
            val _ctx = __ins.proxy as GenPagesUniUiBadgeViewBadgeView
            val _cache = __ins.renderCache
            val data = reactive<Data__11>(Data__11(dynamicBadgeText = "0"))
            __expose(_uM("data" to data))
            return fun(): Any? {
                val _component_uni_badge_view = resolveEasyComponent("uni-badge-view", GenUniModulesUniBadgeViewComponentsUniBadgeViewUniBadgeViewClass)
                return _cE("scroll-view", _uM("style" to _nS(_uM("flex" to "1", "padding" to "20px 5px 5px"))), _uA(
                    _cV(_component_uni_badge_view, _uM("text" to "99+"), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                        return _uA(
                            _cE("view", _uM("style" to _nS(_uM("width" to "50px", "height" to "20px", "background-color" to "green"))), null, 4)
                        )
                    }
                    ), "_" to 1)),
                    _cE("text", _uM("class" to "page-title"), "Badge 组件演示"),
                    _cE("view", _uM("style" to _nS(_uM("margin-bottom" to "20px"))), _uA(
                        _cE("text", _uM("class" to "label"), "badge动态设置text属性："),
                        _cE("text", _uM("class" to "label", "style" to _nS(_uM("margin-bottom" to "10px"))), "输入0不显示badge，空字符串显示红点，输入其他显示文字", 4),
                        _cE("input", _uM("modelValue" to unref(data).dynamicBadgeText, "onInput" to fun(`$event`: UniInputEvent){
                            unref(data).dynamicBadgeText = `$event`.detail.value
                        }
                        , "placeholder" to "输入badge text属性", "class" to "demo-input"), null, 40, _uA(
                            "modelValue",
                            "onInput"
                        )),
                        _cV(_component_uni_badge_view, _uM("text" to unref(data).dynamicBadgeText), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cE("view", _uM("style" to _nS(_uM("width" to "20px", "height" to "20px", "background-color" to "green"))), null, 4)
                            )
                        }
                        ), "_" to 1), 8, _uA(
                            "text"
                        ))
                    ), 4),
                    _cE("view", _uM("style" to _nS(_uM("margin-bottom" to "10px"))), _uA(
                        _cE("text", _uM("class" to "label", "style" to _nS(_uM("margin-bottom" to "10px"))), "不显示badge：", 4),
                        _cV(_component_uni_badge_view, _uM("text" to "0"), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cE("view", _uM("style" to _nS(_uM("width" to "20px", "height" to "16px", "background-color" to "green"))), null, 4)
                            )
                        }
                        ), "_" to 1))
                    ), 4),
                    _cE("view", _uM("style" to _nS(_uM("margin-bottom" to "10px"))), _uA(
                        _cE("text", _uM("class" to "label", "style" to _nS(_uM("margin-bottom" to "10px"))), "不包裹内容的圆点：", 4),
                        _cV(_component_uni_badge_view, _uM("text" to ""))
                    ), 4),
                    _cE("view", _uM("style" to _nS(_uM("margin-bottom" to "10px"))), _uA(
                        _cE("text", _uM("class" to "label", "style" to _nS(_uM("margin-bottom" to "10px"))), "不包裹内容的文字：", 4),
                        _cV(_component_uni_badge_view, _uM("text" to "1", "badge-style" to "align-self:flex-start;"))
                    ), 4),
                    _cE("view", _uM("style" to _nS(_uM("margin-bottom" to "10px"))), _uA(
                        _cE("text", _uM("class" to "label", "style" to _nS(_uM("margin-bottom" to "10px"))), "文字样式：", 4),
                        _cV(_component_uni_badge_view, _uM("text" to "3"), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cE("view", _uM("style" to _nS(_uM("width" to "80px"))), _uA(
                                    _cE("text", _uM("class" to "label"), "20px区域")
                                ), 4)
                            )
                        }
                        ), "_" to 1))
                    ), 4),
                    _cE("view", _uM("style" to _nS(_uM("margin-bottom" to "10px", "overflow" to "visible"))), _uA(
                        _cE("text", _uM("class" to "label", "style" to _nS(_uM("margin-bottom" to "10px"))), "99+是自己写的，不会自动计算max", 4),
                        _cV(_component_uni_badge_view, _uM("text" to "99+"), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cE("view", _uM("style" to _nS(_uM("width" to "80px", "background-color" to "#6c757d"))), _uA(
                                    _cE("text", _uM("style" to _nS(_uM("color" to "white"))), "50px区域", 4)
                                ), 4)
                            )
                        }
                        ), "_" to 1))
                    ), 4),
                    _cV(_component_uni_badge_view, _uM("text" to "99+"), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                        return _uA(
                            _cE("view", _uM("style" to _nS(_uM("width" to "10px", "height" to "20px", "background-color" to "green"))), null, 4)
                        )
                    }
                    ), "_" to 1)),
                    _cE("view", _uM("style" to _nS(_uM("margin-bottom" to "10px"))), _uA(
                        _cE("text", _uM("class" to "label", "style" to _nS(_uM("margin-bottom" to "10px"))), "自定义badge-class（绿色badge）：", 4),
                        _cV(_component_uni_badge_view, _uM("text" to "NEW", "badge-class" to "custom-badge-text"), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cE("view", _uM("style" to _nS(_uM("height" to "20px", "background-color" to "#ffc107"))), _uA(
                                    _cE("text", null, "20px区域")
                                ), 4)
                            )
                        }
                        ), "_" to 1))
                    ), 4),
                    _cE("view", _uM("style" to _nS(_uM("margin-bottom" to "10px"))), _uA(
                        _cE("text", _uM("class" to "label", "style" to _nS(_uM("margin-bottom" to "10px"))), "自定义样式badge-style（紫色badge）：", 4),
                        _cV(_component_uni_badge_view, _uM("text" to "HOT", "badge-style" to "background-color: #6f42c1; color: yellow;"), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cE("view", _uM("style" to _nS(_uM("height" to "20px", "background-color" to "#dc3545"))), _uA(
                                    _cE("text", _uM("style" to _nS(_uM("color" to "white"))), "20px区域", 4)
                                ), 4)
                            )
                        }
                        ), "_" to 1))
                    ), 4),
                    _cE("view", _uM("style" to _nS(_uM("margin-bottom" to "10px"))), _uA(
                        _cE("text", _uM("class" to "label", "style" to _nS(_uM("margin-bottom" to "10px"))), "红点默认样式：", 4),
                        _cV(_component_uni_badge_view, null, _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cE("button", _uM("size" to "mini"), "按钮")
                            )
                        }
                        ), "_" to 1))
                    ), 4),
                    _cE("view", _uM("style" to _nS(_uM("margin-bottom" to "10px"))), _uA(
                        _cE("text", _uM("class" to "label", "style" to _nS(_uM("margin-bottom" to "10px"))), "空文字（红点模式）：", 4),
                        _cV(_component_uni_badge_view, _uM("text" to ""), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cE("view", _uM("style" to _nS(_uM("height" to "20px", "background-color" to "#17a2b8", "border-radius" to "4px"))), _uA(
                                    _cE("text", _uM("style" to _nS(_uM("color" to "white"))), "20px区域", 4)
                                ), 4)
                            )
                        }
                        ), "_" to 1))
                    ), 4),
                    _cE("view", _uM("style" to _nS(_uM("margin-bottom" to "10px"))), _uA(
                        _cE("text", _uM("class" to "label", "style" to _nS(_uM("margin-bottom" to "10px"))), "dot自定义badge-class（绿色badge）：", 4),
                        _cV(_component_uni_badge_view, _uM("badge-class" to "custom-badge-dot"), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cE("view", _uM("style" to _nS(_uM("height" to "20px", "background-color" to "#ffc107"))), _uA(
                                    _cE("text", null, "20px区域")
                                ), 4)
                            )
                        }
                        ), "_" to 1))
                    ), 4),
                    _cE("view", _uM("style" to _nS(_uM("margin-bottom" to "10px"))), _uA(
                        _cE("text", _uM("class" to "label", "style" to _nS(_uM("margin-bottom" to "10px"))), "dot自定义badge-style（紫色badge）：", 4),
                        _cV(_component_uni_badge_view, _uM("badge-style" to "background-color: #6f42c1;"), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cE("view", _uM("style" to _nS(_uM("height" to "20px", "background-color" to "#dc3545"))), _uA(
                                    _cE("text", _uM("style" to _nS(_uM("color" to "white"))), "20px区域", 4)
                                ), 4)
                            )
                        }
                        ), "_" to 1))
                    ), 4),
                    _cE("view", _uM("style" to _nS(_uM("margin-bottom" to "10px"))), _uA(
                        _cE("text", _uM("class" to "label", "style" to _nS(_uM("margin-bottom" to "10px"))), "按钮中badge文字：", 4),
                        _cE("view", _uM("style" to _nS(_uM("width" to "150px", "height" to "30px", "background-color" to "lightgray", "border-radius" to "4px", "align-items" to "center", "justify-content" to "center", "flex-direction" to "row"))), _uA(
                            _cE("text", null, "按钮 "),
                            _cV(_component_uni_badge_view, _uM("text" to "9"))
                        ), 4)
                    ), 4),
                    _cE("view", _uM("style" to _nS(_uM("margin-bottom" to "10px"))), _uA(
                        _cE("text", _uM("class" to "label", "style" to _nS(_uM("margin-bottom" to "10px"))), "按钮中badge红点：", 4),
                        _cE("view", _uM("style" to _nS(_uM("width" to "150px", "height" to "30px", "background-color" to "lightgray", "border-radius" to "4px", "align-items" to "center", "justify-content" to "center", "flex-direction" to "row"))), _uA(
                            _cE("text", null, "按钮 "),
                            _cV(_component_uni_badge_view)
                        ), 4)
                    ), 4)
                ), 4)
            }
        }
        val styles: Map<String, Map<String, Map<String, Any>>> by lazy {
            _nCS(_uA(
                styles0
            ))
        }
        val styles0: Map<String, Map<String, Map<String, Any>>>
            get() {
                return _uM("page-title" to _pS(_uM("fontSize" to 18, "fontWeight" to "bold", "color" to "var(--text-color, #333333)", "marginBottom" to 20)), "label" to _pS(_uM("color" to "var(--text-color, #333333)")), "demo-input" to _pS(_uM("borderTopWidth" to 1, "borderRightWidth" to 1, "borderBottomWidth" to 1, "borderLeftWidth" to 1, "borderTopStyle" to "solid", "borderRightStyle" to "solid", "borderBottomStyle" to "solid", "borderLeftStyle" to "solid", "borderTopColor" to "var(--border-color, rgba(0, 0, 0, 0.06))", "borderRightColor" to "var(--border-color, rgba(0, 0, 0, 0.06))", "borderBottomColor" to "var(--border-color, rgba(0, 0, 0, 0.06))", "borderLeftColor" to "var(--border-color, rgba(0, 0, 0, 0.06))", "borderTopLeftRadius" to 4, "borderTopRightRadius" to 4, "borderBottomRightRadius" to 4, "borderBottomLeftRadius" to 4, "width" to 200, "height" to 24, "paddingLeft" to 2, "color" to "var(--text-color, #333333)")), "custom-badge-text" to _pS(_uM("backgroundColor" to "#28a745", "color" to "#000000")), "custom-badge-dot" to _pS(_uM("backgroundColor" to "#28a745", "width" to 16, "height" to 16, "borderTopLeftRadius" to 16, "borderTopRightRadius" to 16, "borderBottomRightRadius" to 16, "borderBottomLeftRadius" to 16)))
            }
        var inheritAttrs = true
        var inject: Map<String, Map<String, Any?>> = _uM()
        var emits: Map<String, Any?> = _uM()
        var props = _nP(_uM())
        var propsNeedCastKeys: UTSArray<String> = _uA()
        var components: Map<String, CreateVueComponent> = _uM()
    }
}
